{% extends 'hi6220-hikey-bl.jinja2' %}
{% set connection_list = ['uart1'] %}
{% set connection_commands = {'uart1': 'telnet dispatcher02 7012'} %}
{% set connection_tags = {'uart1': ['primary', 'telnet']} %}

{# OTG power control #}

{% set pre_power_command = '/usr/local/lab-scripts/cbrxd_hub_control --usb_port 8 --mode sync -n dispatcher02-hub01' %}
{% set pre_os_command = '/usr/local/lab-scripts/cbrxd_hub_control --usb_port 8 --mode off -n dispatcher02-hub01' %}
{% set hard_reset_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname pdu20 --command reboot --port 18' %}
{% set power_on_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname pdu20 --command on --port 18' %}
{% set power_off_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu20 --command off --port 18 --sleep_after 30',
'/usr/local/lab-scripts/eth008_control -a 10.0.9.5 -r 1 -s off',
'/usr/local/lab-scripts/eth008_control -a 10.0.9.5 -r 2 -s on'] %}
{% set fastboot_options = ['-u', '-S', '256M'] %}
{% set device_info = [{'board_id': '49EBE14005DA77C'}] %}
{% set adb_command = 'adb -s 49EBE14005DA77C' %}
{% set fastboot_command = 'fastboot -u -s 49EBE14005DA77C' %}
{% set fastboot_serial_number = '49EBE14005DA77C' %}
{% set adb_serial_number = '49EBE14005DA77C' %}
{% set interrupt_prompt = 'Android Fastboot mode' %}
{% set interrupt_string = "' '" %}
{% set device_ip = "10.7.0.84" %}
{% set soft_reset_command = 'fastboot -u -s 49EBE14005DA77C reboot' %}
{% set device_info = [{'board_id': '49EBE14005DA77C'}, {'parent': True, 'usb_vendor_id': '12d1', 'usb_product_id': '3609'}] %}
{# set device_info = [{'board_id': '49EBE14005DA77C'}] #}
{% set flash_cmds_order = ['ptable', 'fastboot', 'nvme', 'boot', 'cache', 'system', 'userdata'] %}
{% set device_mac = '8a:ce:4c:ff:aa:bb' %}

{# Use ethernet relay to emulate jumper changes to put board into and out of recovery #}

{% set recovery_mode_command = [
'/usr/local/lab-scripts/eth008_control -a 10.0.9.5 -r 1 -s on',
'/usr/local/lab-scripts/eth008_control -a 10.0.9.5 -r 2 -s off'] %}
{% set recovery_exit_command = [
'/usr/local/lab-scripts/eth008_control -a 10.0.9.5 -r 1 -s off',
'/usr/local/lab-scripts/eth008_control -a 10.0.9.5 -r 2 -s on'] %}
{% set action_timeout_power_off = 60 %}

{% set sync_to_lava = {'device_type': 'hi6220-hikey-bl', 'worker': 'dispatcher02.lavalab', 'tags': ['static-ip', '4k-hdmi-dongle', 'usb-mouse'], 'aliases': []} %}